Bug 34923 - OPAC hold page flatpickr does not allow direct input of dates
Summary: OPAC hold page flatpickr does not allow direct input of dates
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: Main
Hardware: All All
: P5 - low trivial (vote)
Assignee: Lucas Gass
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 33821
Blocks: 33703
  Show dependency treegraph
 
Reported: 2023-09-26 19:03 UTC by Lucas Gass
Modified: 2024-07-04 20:40 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.11.00,23.05.05,22.11.11


Attachments
Bug 34923: Allow direct input of hold dates on opac-reserve.tt (1.22 KB, patch)
2023-09-26 19:20 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 34923: Allow direct input of hold dates on opac-reserve.tt (1.27 KB, patch)
2023-09-26 20:16 UTC, David Nind
Details | Diff | Splinter Review
Bug 34923: Allow direct input of hold dates on opac-reserve.tt (1.32 KB, patch)
2023-09-29 11:25 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2023-09-26 19:03:15 UTC
Bug 33821 made it so flatpickr inputs can allow for the direct input of dates. This does not work on the holds page for the hold date from date and future date.

We should make the date inputs work the same across the OPAC.

To recreate: 
1. Turn on AllowHoldDateInFuture and OPACAllowHoldDateInFuture
2. Make a hold in OPAC and notice you cannot directly input a date in either the "Hold starts on date:" field or the "Hold not needed after:" field.
Comment 1 Lucas Gass 2023-09-26 19:20:46 UTC
Created attachment 156242 [details] [review]
Bug 34923: Allow direct input of hold dates on opac-reserve.tt

To test:
1. Turn on AllowHoldDateInFuture and OPACAllowHoldDateInFuture
2. Make a hold in OPAC and notice you cannot directly input a date in either the "Hold starts on date:" field or the "Hold not needed after:" field.
3. APPLY PATCH
4. Clear your browser cache and try again. You should be able to directly input dates.
Comment 2 David Nind 2023-09-26 20:16:28 UTC
Created attachment 156244 [details] [review]
Bug 34923: Allow direct input of hold dates on opac-reserve.tt

To test:
1. Turn on AllowHoldDateInFuture and OPACAllowHoldDateInFuture
2. Make a hold in OPAC and notice you cannot directly input a date in either the "Hold starts on date:" field or the "Hold not needed after:" field.
3. APPLY PATCH
4. Clear your browser cache and try again. You should be able to directly input dates.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Katrin Fischer 2023-09-29 11:25:43 UTC
Created attachment 156379 [details] [review]
Bug 34923: Allow direct input of hold dates on opac-reserve.tt

To test:
1. Turn on AllowHoldDateInFuture and OPACAllowHoldDateInFuture
2. Make a hold in OPAC and notice you cannot directly input a date in either the "Hold starts on date:" field or the "Hold not needed after:" field.
3. APPLY PATCH
4. Clear your browser cache and try again. You should be able to directly input dates.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 4 Tomás Cohen Arazi 2023-10-04 20:44:12 UTC
Pushed to master for 23.11.

Nice work everyone, thanks!
Comment 5 Fridolin Somers 2023-10-06 00:54:16 UTC
Pushed to 23.05.x for 23.05.05
Comment 6 Matt Blenkinsop 2023-10-17 17:36:19 UTC
Nice work everyone!

Pushed to oldstable for 22.11.x